<?php
include(get_stylesheet_directory() . '/default_options_child.php');
include(get_stylesheet_directory() . '/customizer_child.php');
define('ibiz_child_template_directory', dirname( get_bloginfo('stylesheet_url')) );
add_action( 'wp_enqueue_scripts', 'iBiz_theme_setup_enqueue_styles', 100 );
function iBiz_theme_setup_enqueue_styles() {
	$ibiz_theme_options = ibiz_theme_options();
	wp_enqueue_style( 'ibiz-parent-style', get_template_directory_uri() . '/style.css' );
	if($ibiz_theme_options['color_scheme_child']==''){
		wp_enqueue_style('ibiz-blue', get_stylesheet_directory_uri() . '/css/skins/skyblue.css');
	} else {
		wp_enqueue_style('ibiz-color-scheme-child', get_stylesheet_directory_uri() . '/css/skins/' . esc_attr($ibiz_theme_options['color_scheme_child']) . '.css');
	}
}
function iBiz_theme_setup()
{	
	load_child_theme_textdomain('ibiz', get_template_directory() . '/lang');
	Kirki::add_field('awada_theme', array(
		'settings'          => 'header_topbar_bg_color1',
		'label'             => __('Header Top Bar Background Color', 'ibiz'),
		'description'       => __('Change Top bar Background Color', 'ibiz'),
		'section'           => 'colors',
		'type'              => 'color',
		'priority'          => 9,
		'default'           => '#f8504b',
		'sanitize_callback' => 'awada_sanitize_color',
		'output'            => array(
			array(
				'element'  => '#sitetopbar',
				'property' => 'background',
			),
			array(
				'element'  => '#sitetopbar',
				'property' => 'border-bottom',
			),
		),
		'transport'         => 'auto',
	));
	Kirki::add_field('awada_theme', array(
		'settings'          => 'copyright_section_bg_color',
		'label'             => __('Copyright Section Background Color', 'ibiz'),
		'description'       => __('Change Copyright Section Background Color', 'ibiz'),
		'section'           => 'footer_sec',
		'type'              => 'color',
		'priority'          => 9,
		'default'           => '#f8504b',
		'sanitize_callback' => 'awada_sanitize_color',
		'output'            => array(
			array(
				'element'  => '#copyrights',
				'property' => 'background',
			),
		),
		'transport'         => 'auto',
	));
	Kirki::add_field('awada_theme', array(
		'settings'          => 'footer_text_color',
		'label'             => __('Footer Text Color', 'ibiz'),
		'description'       => __('Change Footer Text Color', 'ibiz'),
		'section'           => 'footer_sec',
		'type'              => 'color',
		'priority'          => 9,
		'default'           => '#f8504b',
		'sanitize_callback' => 'awada_sanitize_color',
		'output'            => array(
			array(
				'element'  => '#awada_footer_area li a, #awada_footer_area a',
				'property' => 'color',
			),
		),
		'transport'         => 'auto',
	));
}
add_action('after_setup_theme', 'iBiz_theme_setup');

function iBiz_customize_register_active( $wp_customize ) {
	$awada_theme_options = awada_theme_options();
	if ($awada_theme_options['site_layout'] != 'boxed') {
		$wp_customize->remove_section('background_image');
	}
	$wp_customize->remove_control('header_textcolor');
	$wp_customize->remove_control('awada_theme_options[color_scheme]');
	$wp_customize->remove_control('awada_theme_options[header_topbar_bg_color]');
	wp_enqueue_style('ibiz-customizercu_css',get_stylesheet_directory_uri().'/css/customizer.css');
	
	$wp_customize->add_section( 'awada_pro' , array(
		'title'      	=> __( 'Upgrade to Awada Premium', 'ibiz' ),
		'priority'   	=> 999,
		'panel'=>'awada_option_panel',
	) );

	$wp_customize->add_setting( 'awada_pro', array(
		'default'    		=> null,
		'sanitize_callback' => 'sanitize_text_field',
	) );

	$wp_customize->add_control( new Ibiz_Pro_Control( $wp_customize, 'awada_pro', array(
		'label'    => __( 'Awada Premium', 'ibiz' ),
		'section'  => 'awada_pro',
		'settings' => 'awada_pro',
		'priority' => 1,
	) ) );
}
add_action( 'customize_register', 'iBiz_customize_register_active', 100);
	
if ( class_exists( 'WP_Customize_Control' ) && ! class_exists( 'Ibiz_Pro_Control' ) ) :
class Ibiz_Pro_Control extends WP_Customize_Control {

	/**
	* Render the content on the theme customizer page
	*/
	public function render_content() {
		?>
		<label style="overflow: hidden; zoom: 1;">
			<div class="col-md-2 col-sm-6 upsell-btn">					
					<a style="margin-bottom:20px;margin-left:20px;" href="http://www.webhuntinfotech.com/webhunt_theme/awada-premium/" target="blank" class="btn btn-success btn"><?php _e('Upgrade to Awada Premium','ibiz'); ?> </a>
			</div>
			<div class="col-md-4 col-sm-6">
				<img class="awada_img_responsive " src="<?php echo esc_url(get_template_directory_uri()) .'/images/Awada_Pro.png'?>">
			</div>			
			<div class="col-md-3 col-sm-6">
				<h3 style="margin-top:20px;margin-left: 10px;text-decoration:underline;color:#333;"><?php echo _e( 'Awada Premium - Features','ibiz'); ?></h3>
					<ul style="padding-top:10px">
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Responsive Design','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Beautiful & Amazing Shortcodes','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('More than 25 Page Templates','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('2 Types of sliders','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('4 Types Service Sections','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Portfolio Sections','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Testimonial Sections','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('2 Types Our Features Sections','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Client Sections','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Team Sections','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Magical Fun Facts Style','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Pricing Tables','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('3 Types Footer Callouts','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('8 Different Types of Blog Templates','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('8 Types of Portfolio Templates','ibiz'); ?></li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Stylish Custom Widgets','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Redux Options Panel','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Unlimited Colors Scheme','ibiz'); ?></li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Patterns Background','ibiz'); ?>   </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('WPML Compatible','ibiz'); ?>   </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Woo-commerce Compatible','ibiz'); ?>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Portfolio layout with Isotope effect','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Coming Soon/Maintenance Mode Option','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Translation Ready','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Free Updates','ibiz'); ?> </li>
						<li class="upsell-ibiz"> <div class="dashicons dashicons-yes"></div> <?php _e('Quick Support','ibiz'); ?> </li>
					</ul>
			</div>
			<div class="col-md-2 col-sm-6 upsell-btn upsell-btn-bottom">					
					<a style="margin-bottom:20px;margin-left:20px;" href="http://www.webhuntinfotech.com/webhunt_theme/awada-premium/" target="blank" class="btn btn-success btn"><?php _e('Upgrade to Awada Premium','ibiz'); ?> </a>
			</div>
			
			<p>
				<?php
					printf( __( 'If you Like our Products , Please Rate us 5 star on %sWordPress.org%s.  We\'d really appreciate it! </br></br>  Thank You', 'ibiz' ), '<a target="" href="https://wordpress.org/support/view/theme-reviews/awada?filter=5">', '</a>' );
				?>
			</p>
		</label>
		<?php
	}
}
endif; ?>